package ex10;

import ch.usi.dag.disl.annotation.GuardMethod;
import ch.usi.dag.disl.staticcontext.MethodStaticContext;

public class IsPublicStaticGuard {
    @GuardMethod
    public static boolean isGuard(final MethodStaticContext msc) {
        return msc.isMethodPublic() && msc.isMethodStatic();
    }
}
